Product groups: Bimp API methods
Bimp API methods for the “Product groups” resource (/org2/nomenclature-group/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/nomenclature-group/api-readList | A request to view a list of nomenclature groups |
POST /org2/nomenclature-group/api-read | A request to obtain detailed information for a particular nomenclature group |
POST /org2/nomenclature-group/api-create | A request to create a new nomenclature group |
POST /org2/nomenclature-group/api-update | A request to update information for an existing nomenclature group |
api-readList
POST /org2/nomenclature-group/api-readList
A request to view a list of nomenclature groups
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string[] | A unique uuid keys for the nomenclature group |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for the Nomenclature group |
[].name | string | Nomenclature group name |
[].description | string | Description about nomenclature group |
[].parentuuid | null | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/nomenclature-group/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":["string"]}'
api-read
POST /org2/nomenclature-group/api-read
A request to obtain detailed information for a particular nomenclature group
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for the nomeclature group |
curl -X POST 'https://app.bimpsoft.com/org2/nomenclature-group/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-create
POST /org2/nomenclature-group/api-create
A request to create a new nomenclature group
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Nomenclature group name |
description | string | Description about nomenclature group | |
parentuuid | null | string (uuid) |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for the Nomenclature group |
curl -X POST 'https://app.bimpsoft.com/org2/nomenclature-group/api-create' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"name":"string"}'
api-update
POST /org2/nomenclature-group/api-update
A request to update information for an existing nomenclature group
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for the Nomenclature group |
name | string | Nomenclature group name | |
description | string | Description about nomenclature group | |
parentuuid | null | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/nomenclature-group/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.